﻿using System;

namespace DarkAngels.WoW.Library.Armory
{
    public enum ArmoryRegion
    {
        EU = 1,
        US = 2,
        KR = 4,
        CN = 8,
        TW = 16
    }

    public enum RealmType
    {
        PvE,
        PvP,
        RPPvE,
        RPPvP
    }

    public enum RealmStatus
    {
        Up,
        Down
    }

    public enum RealmPopulation 
    {
        Recommended,
        Full,
        Normal
    }

    public enum RealmLanguage
    {
        EN,
        DE,
        FR,
        RU,
        ES
    }

    public enum Faction
    {
        NotSet = -1,
        Alliance = 0,
        Horde = 1
    }

    public enum SkillType
    {
        Profession,
        SecondaryProfession,
        WeaponSkill
    }

    public enum Gender
    {
        NotSet = -1,
        Male = 0,
        Female = 1
    }

    public enum Class
    {
        NotSet = -1,
        Warrior = 1,
        Paladin = 2,
        Hunter = 3,
        Rogue = 4,
        Priest = 5,
        DeathKnight = 6,
        Shaman = 7,
        Mage = 8,
        Warlock = 9,
        Druid = 11
    }

    public enum Race
    {
        NotSet = -1,
        Human = 1,
        Orc = 2,
        Dwarf = 3,
        NightElf = 4,
        Unded = 5,
        Tauren = 6,
        Gnome = 7,
        Troll = 8,
        BloofElf = 10,
        Draenei = 11
    }

    public enum ReputationLevel
    {
        Hated, //-36000 - -3001
        Hostile, //-3000 - -1
        Neutral, //0-2999
        Friendly, //3000-8999
        Honored, //9000-20999
        Revered, //21000-41999
        Exalted //42000-42999
    }
}
